Manuels Vendée
==============

## LFS

:warning: Git LFS is activated on this report.

Ensure that `git lfs` is installed on your system. You can install git lfs with the command `git lfs install`.

Since you install it on your machine, no further step is required.

## Compilation

`docker-compose` est utilisé pour compiler le manuel.

Commande:

```bash
docker-compose up
```

Le fichier généré est `user-manual.pdf` et `admin-manual.pdf`


Si vous avez une (bonne) version de pandoc sur votre PC, on peut faire sans docker avec:

```bash
bash build-pandoc.sh
bash build-pandoc.sh pdf admin
```
où ` bash build-pandoc.sh` est par défaut équivalent à `bash build-pandoc.sh pdf user`.

### Utilisateur

L'utilisateur qui exécute la compilation est, par défaut, l'utilisateur ayant l'id `1000`.

## Dépendances latex

### Awesomebox

Pour créer des "box": https://www.ctan.org/tex-archive/graphics/awesomebox


### Taille des images

Pour changer la taille de toutes les images d'un coup, par ex. à 85%:

remplacer dans `eisvogel.tex` la ligne

```
\setkeys{Gin}{width=\maxwidth,height=\maxheight,keepaspectratio}

```

par

```
\setkeys{Gin}{width=.85\maxwidth,height=\maxheight,keepaspectratio}
```

Si on laisse les images à 100%, beaucoup de pages blanches apparaissent.

### Correcteur orthographiques

Please, utilisons un correcteur orthographique pour le français pour nous éviter toutes les fautes de frappes et autres. Ex: https://marketplace.visualstudio.com/items?itemName=streetsidesoftware.code-spell-checker-french
